ADDDEBUG(1)

NAVN
adddebug - Ændrer Makefile for at tilføje fejlsøgningsinformation

SYNOPSIS

adddebug [-k] [-r] [-n]

BESKRIVELSE

adddebug ændrer Makefile i nuværende katalog (og valgfrit i dets underkataloger) for at tilføje fejlsøgningsinformation (-g3). Det fjerner også bort optimering (-O[1-9]).

Værktøjet er en del af KDE's programmeludviklingsmiljø.

TILVALG

-k
    Behold optimering (fjern ikke flaget -O[1-9]? som normalt fjernes).

-r
    Søg rekursivt gennem alle underkataloger for nuværende mappe og udfør handlingen for hver Makefile som findes.

-n
    Kompilér uden at NDEBUG og NO_DEBUG er defineret (gør at kald til kDebug virker).

FORFATTER

Ben Burton <bab@debian.org>
    Forfatter.